summaryrefslogtreecommitdiffstats
path: root/jjb/kvmfornfv/kvmfornfv-test.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-09-08 10:55:09 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-09-08 10:55:09 +0000
commite5982f736c0394160841027dd9a06739107e10a9 (patch)
treef38f3bfbdb0a1d88628c7e671afe62e85c23e1b5 /jjb/kvmfornfv/kvmfornfv-test.sh
parent2b1ba7d32f7378b1a4426a07e17eb0abd9cd094d (diff)
parent3f7624c80203e6f46cd9cedab618bba3c1f52324 (diff)
Merge "KVMFORNFV: Enable artifact download and testing for daily job"
Diffstat (limited to 'jjb/kvmfornfv/kvmfornfv-test.sh')
-rwxr-xr-xjjb/kvmfornfv/kvmfornfv-test.sh22
1 files changed, 19 insertions, 3 deletions
diff --git a/jjb/kvmfornfv/kvmfornfv-test.sh b/jjb/kvmfornfv/kvmfornfv-test.sh
index 868de13bd..06377ac4f 100755
--- a/jjb/kvmfornfv/kvmfornfv-test.sh
+++ b/jjb/kvmfornfv/kvmfornfv-test.sh
@@ -3,8 +3,24 @@
##This script includes executing cyclictest scripts.
##########################################################
#The latest build packages are stored in build_output
+
ls -al $WORKSPACE/build_output
-#start the test
-cd $WORKSPACE
-./ci/test_kvmfornfv.sh
+if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
+ JOB_TYPE=${BASH_REMATCH[0]}
+else
+ echo "Unable to determine job type!"
+ exit 1
+fi
+
+# do stuff differently based on the job type
+case "$JOB_TYPE" in
+ verify|daily)
+ #start the test
+ cd $WORKSPACE
+ ./ci/test_kvmfornfv.sh $JOB_TYPE
+ ;;
+ *)
+ echo "Test is not enabled for $JOB_TYPE jobs"
+ exit 1
+esac